
TYPO3.Flow - Bug # 34399

Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category: Security
Created: 2012-02-28 Assigned To: Sebastian Kurfuerst
Updated: 2012-03-01 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Remove Default Authentication Provider configuration
Description

The default authentication provider was always configured at the first position and could not be removed; which lead to really strange
issues with Entry Points.

For example, we broke Phoenix by that ;)

Associated revisions
Revision 3f288553 - 2012-02-29 17:26 - Sebastian Kurfuerst

[!!!][BUGFIX] (Security): Remove default authentication provider

Fixes: #34399
Related to: #34398
Releases: 1.1
Change-Id: Ia370abe31f6c08d1f9a4cf2993ef8fb2b1ffb6b7

Revision fc71de3f - 2012-04-30 23:37 - Karsten Dambekalns

[TASK] Fixes exception message building causing error

When the providerClass for an authentication provider
is not configured, the building of an exception message
caused a notice (and that caused an error).

Change-Id: I3e37272c907848f076c982a2f5a909bd15ece76e
Related: #34399
Releases: 1.1

History
#1 - 2012-02-28 22:52 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9290
#2 - 2012-02-29 17:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9290

#3 - 2012-02-29 17:27 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9290

#4 - 2012-03-01 02:38 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3f288553a845c904596dd51454cbc90a3e89e06d.
